<?php

require_once '../app/model/db.class.php';
require_once '../dompdf/dompdf_config.inc.php';
require_once  '../dompdf/www/functions.inc.php';

//date_default_timezone_set('UTC');

    $periodo = $_GET['periodo'];
    $sede = $_GET['sede'];


    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");
    


     /*----------   PROCESO ------------*/

      $obj->consulta("delete from curso_asignatura_profesor WHERE profesor='' or grado='' or curso='' or asignatura=''");
      $obj->consulta("DELETE FROM curso_asignatura_profesor WHERE curso not in (select codigo from cursos)");
      $obj->consulta("DELETE FROM curso_asignatura_profesor WHERE asignatura not in (select codigo from catalogo)");
      $obj->consulta("delete from planillas_pendientes");
      
      $labor_academica=$obj->consulta("select * from curso_asignatura_profesor");

      $i=1;
      while($row_labor = $obj->fetch_assoc($labor_academica)){

               $planillas_boletin=$obj->consulta("select * from boletin  where grado='".$row_labor['grado']."' and curso = '".$row_labor['curso']."' and asignatura = '".$row_labor['asignatura']."' and periodo = '".$periodo."'");

               $n=$obj->numero_de_filas($planillas_boletin);

               if ($n==0){   /*-----SI NO EXISTE EL REGISTRO DE LABOR ACADEMICO EN LA TABLA BOLETIN -----*/
                   $obj->consulta("insert into planillas_pendientes (periodo,grado,curso,asignatura,profesor,secuencia) values ('".$periodo."','".$row_labor['grado']."','".$row_labor['curso']."','".$row_labor['asignatura']."','".$row_labor['profesor']."',".$i.")");
                   $i++;
               }
     }

     /*------   BUSCAMOS NOMBRE DEL GRADO-CURSO-ASIGNATURA-PROFESOR ----------*/

      $planillas_pend=$obj->consulta("select * from planillas_pendientes");

      while($row_pend = $obj->fetch_assoc($planillas_pend)){

           /*--- BUSCAMOS EL NOMBRE DEL GRADO ---*/
           $descrip_grado=$obj->consulta("select * from grados where codigo='".$row_pend['grado']."'");
           $row1 = $obj->fetch_assoc($descrip_grado);

           $obj->consulta("update planillas_pendientes set nombre_grado='".$row1['descripcion']."',orden_grado=".$row1['orden']." where secuencia =".$row_pend['secuencia']);

          /*--- BUSCAMOS EL NOMBRE DEL CURSO ---*/
           $descrip_curso=$obj->consulta("select * from cursos where  grado='".$row_pend['grado']."' and codigo='".$row_pend['curso']."'");
           $row2 = $obj->fetch_assoc($descrip_curso);

           $obj->consulta("update planillas_pendientes set nombre_cur='".$row2['descripcion']."',orden_curso=".$row2['orden']." where secuencia =".$row_pend['secuencia']);

          /*--- BUSCAMOS EL NOMBRE DE LA ASIGNATURA ---*/
           $descrip_asign=$obj->consulta("select * from catalogo where  codigo='".$row_pend['asignatura']."'");
           $row3 = $obj->fetch_assoc($descrip_asign);

           $obj->consulta("update planillas_pendientes set nombre_asign='".$row3['descripcion']."',orden_asign=".$row3['orden']." where secuencia =".$row_pend['secuencia']);

          /*--- BUSCAMOS EL NOMBRE DEL PROFESOR ---*/
           $descrip_pro=$obj->consulta("select * from profesores where  cedula='".$row_pend['profesor']."'");
           $row4 = $obj->fetch_assoc($descrip_pro);

           $obj->consulta("update planillas_pendientes set nombre_pro='".$row4['nombres']."' where secuencia =".$row_pend['secuencia']);

      }

     /*-------------  HTML -----------*/

    $s="<html>";
    $s.="<head><meta http-equiv='expires' content='0'><meta http-equiv='Cache-Control' content='no-cache'><meta http-equiv='Pragma' CONTENT='no-cache'>";
    $s.="<title></title>";
    $s.="<link rel='stylesheet' type='text/css' href='style.css'/>";
    $s.="<script type='text/javascript' src='consolidado.js'></script>";
    $s.="</head>";

    $s.="<body>";
    $s.="<center>";

    $s.="<table width='60%'>";

     $s.="<tr>";
     $s.="<td rowspan='3'><img src='../imagenes/escudo.jpg' width='90' height='90'/></td>";
    /*----- NOMBRE DE LA INSTITUCIÓN-SEDE-GRADO-CURSO- ----- */
     $datos=$obj->consulta("select * from registrar");
     $row_inst = $obj->fetch_assoc($datos);
     $s.="<td align='center' colspan='5'>".($row_inst['institucion'])."</td>";
     $s.="</tr>";


     $s.="<tr>";
     $s.="<td align='center' colspan='5'>ASIGNATURAS PENDIENTES POR DIGITAR</td>";
     $s.="</tr>";

     // BUSCAMOS EL NOMBRE DE LA SEDE
     $descrip_sede=$obj->consulta("select descripcion from sedes where codigo='".$sede."'");
     $row1 = $obj->fetch_assoc($descrip_sede);

     $s.="<tr>";
     $s.="<td align='center' colspan='2'>SEDE    :".($row1['descripcion'])."</td>";
     // COLOCAMOS FECHA Y EL PERIODO
     $s.="<td align='center'>PERIODO    :".$periodo."</td>";
     $s.="<td align='center' colspan='2'>".date("F j, Y, g:i a")."</td>";

     $s.="</tr>";

     $s.="</table></center><br>";

     /*--------------------------------------*/
      $docentes=$obj->consulta("select curso_asignatura_profesor.profesor, profesores.nombres from profesores
                             inner join (cursos inner join curso_asignatura_profesor on (cursos.codigo = curso_asignatura_profesor.curso)
                             and (cursos.grado = curso_asignatura_profesor.grado)) on profesores.cedula = curso_asignatura_profesor.profesor
                             group by curso_asignatura_profesor.profesor, profesores.nombres, cursos.sede having cursos.sede='".$sede."' order by profesores.nombres");

      while($row_pro = $obj->fetch_assoc($docentes)){

            $planillas=$obj->consulta("select * from planillas_pendientes where profesor='".$row_pro['profesor']."'");

            $s.="<center>DOCENTE   :     ".$row_pro['nombres']."</center>";
            $s.="<center><table align='center' border='1' class='hovertable' cellspacing='0' cellpadding='0' width='60%'>";

            $l=1;
            while($row_plan = $obj->fetch_assoc($planillas)){
                 $s.="<tr><td align='center' width='10%'>".$l."</td><td width='40%'>".$row_plan['nombre_cur']."</td><td width='50%'>".$row_plan['nombre_asign']."</td></tr>";
                 $l++;
            }

            $s.="</table></center><br>";

     }

     $s.="</body></html>";

     /*--------------------------------------*/
    echo $s;

    $obj->disconnect();

//    $dompdf = new DOMPDF();
//    $dompdf->load_html($s);
//    $dompdf->set_paper('A4', 'portrait');
//    $dompdf->render();
//
//    $dompdf->stream("planillas_pendientes.pdf", array("Attachment" => false));

?>
